Issue 121194 - Better support for vector fill styles
Better support for vector fill styles
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: editing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 13:25 UTC by Armin Le Grand
Modified: 2013-07-12 16:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-10-10 13:25:58 UTC
ALG: With #119125# fill props may be vector graphics and transparent bitmaps. Internally these are used as BitmapEx by usig GetBoitmapEx() on the Graphic, so MetaFiles and svg get converted as needed. With #121183# these get better buffered inside Graphic class for better performance. This task is for enhancing their usage from internally using the bitmap fallback to vector where possible.
Comment 1 Armin Le Grand 2012-10-10 13:26:27 UTC
ALG: Taking over...
Comment 2 Armin Le Grand 2012-10-16 09:32:50 UTC
ALG: The turnaround described in #119125# works better now. After reload in PPT format, the page background is still filled with a graphic, but that graphic has vector format and this will be supported now in primitive decomposition creation and processing. This is true for all fillings; when filling objects with metafiles or svg, quality will stay high. Needed to support row/column offset different for that (even for 3D). Transparency of bitmaps/svg/metafiles will work now (even in 3D). Export quality will stay high now, too. Even animated gifs as fillstyle are possible.
Checked various situations, all exports/format changes, printing. Done so far, checking in.
Comment 3 SVN Robot 2012-10-16 09:44:27 UTC
"alg" committed SVN revision 1398711 into trunk:
#121194# Better support for graphic fill styles which are not bitmaps (svg, m...
Comment 4 Armin Le Grand 2012-10-16 09:47:57 UTC
ALG: Okay, done. Regetting trunk to continue checking...
Comment 5 Armin Le Grand 2012-10-16 11:05:52 UTC
ALG: Checked with an exported metafile with 50% transparence, transparence gets lost as fillstyle. The reason is that META_TRANSPARENT_ACTION in wmfwr.cxx only writes the polypolygon, but not the transparence, so the loss is due to the missing support in the metafile export. Wrote #121223# for this.
Comment 6 Armin Le Grand 2012-10-16 11:45:02 UTC
ALG: Wrote #121224# for using transparent fill styles for page background (see there).